function [] = global_display(obj,CheckPoint)
% CheckPoint is a structure containing all the information of the series,
% its change of stability, simple bifurcation information,...

Upp = CheckPoint.Upp; % Point representation of the series

H=obj.H;
nz_tot=obj.nz_tot;
tol_h = 10*obj.NRthreshold;

nb_pt = size(Upp,2);

h = zeros(nb_pt,nz_tot);


%% Loop on the point representation of the series
for k = 1:nb_pt
    
    Uk = Upp(:,k);
    [Zk,omega(k),lambda(k)] = obj.get_Ztot(Uk);
    
    for i=1:nz_tot
        norm_Z = norm(Zk(:,i));
        nono_Z = norm(Zk(1,i));
        while (nono_Z/norm_Z< 1-tol_h)
            h(k,i) = h(k,i)+1;
            ind = [ (1:h(k,i)+1) (H+2:H+1+h(k,i)) ];
            nono_Z = norm(Zk(ind,i));
        end
    end
    
end

figure(5);
% Amplitud ratios
for i=1:nz_tot
    if i>obj.nz; color = 'b'; else; color = 'r'; end
    pl(i)=plot(lambda,h(:,i),[color '-*']);hold on;grid on;
end
format short e
title(['Number of harmonics needed to reach the Fourier norm with ' num2str(tol_h) ' precision.'])
legend([pl(1) pl(end)],'Physical variables','Auxiliary variables','Location','SouthEast');



end
