function [Rtot,dRaux] = equations_vec(sys,Utot,dUtot)
% Vectorial form of the equations of the system.
% Quadratic system of the form R(U) = C + L(U) + Q(U,U) + f(U)
% with the differential form of the non-quadratic equations in dRaux(U,dU).

lambda = Utot(sys.neq+1,:);
u = Utot(1:sys.neq,:);            du = dUtot(1:sys.neq,:);
Uaux = Utot(sys.neq+2:end,:);     dUaux = dUtot(sys.neq+2:end,:);

K=sys.parameters.K;

%%% Residues
Raux = Uaux - exp(u);             dRaux = dUaux - Uaux.*du;
R = K*u + lambda.*Uaux;

Rtot= [R ; Raux];

end
