function [Rtot,dRaux,Forcing] = equations(sys,t,Utot,dUtot,d2Utot)

%%% Final recast (nz_tot = 3) :
% x'' + lambda x' + s = 0
% s - sin(x)          = 0  | s' -   x' * c = 0
% c - cos(x)          = 0  | c' +   x' * s = 0

x = Utot(1); dx = dUtot(1); d2x = d2Utot(1);
s = Utot(2); ds = dUtot(2);
c = Utot(3); dc = dUtot(3);
lambda = Utot(end);

%%% Auxiliary part
% s - sin(x)          = 0  | s' -   x' * c = 0
% c - cos(x)          = 0  | c' +   x' * s = 0
Raux = zeros(sys.nz_aux,1);     dRaux = zeros(sys.nz_aux,1);
Raux(1) = s - sin(x);           dRaux(1) = ds - dx*c;
Raux(2) = c - cos(x);           dRaux(2) = dc + dx*s;

%%% Main part
% x'' + lambda x' + s = 0
R = d2x + lambda*dx + s;

%%% Concatenation
Rtot = [R;Raux];

%%% Forcing terms.
Forcing = zeros(2*sys.H+1,sys.nz_tot);

end

