function [] = point_display(obj,Utot)

% Reconstruction in the time domain in the matrix Ut(nt,nz_tot)
H=obj.H;
[Ztot,omega,lambda]=obj.get_Ztot(Utot);
T=2*pi/omega;        % Period
temps=0:T/(4*H+1):T; % 4H+1 point in one period
nt=length(temps);    % number of time samples

VectCos=cos(omega*temps'*(1:H));
VectSin=sin(omega*temps'*(1:H));
MAT=[ ones(nt,1) , VectCos , VectSin ];  % MAT(nt,2*H+1) is the operator that goes from the Fourier domain to the time domain.

Ut=MAT*Ztot;                % Ut(nt,nz_tot)

figure(11);
plot(temps,Ut(:,1),'b',temps,Ut(:,2),'r')
title(['Time evolution of x and y with ' num2str(H) ' harmonics for lambda = ' num2str(lambda)],'Fontsize',16)
xlabel('time (s)');legend(['x'],['y'],'Location','SouthEast');grid on;

figure(12)
plot(Ut(:,1),Ut(:,2))
title(['Phase diagram (x, y) with ' num2str(H) ' harmonics for lambda = ' num2str(lambda)],'Fontsize',16)
xlabel('x');ylabel('y');

end
